
function initialState () {
  return {
    sideBarCollapsed: false
  }
}

export const uiMut = Object.freeze({
  SET_SIDEBAR_COLLAPSED: 'SET_SIDEBAR_COLLAPSED'
})

const ui = {
  state: initialState(),
  mutations: {
    [uiMut.SET_SIDEBAR_COLLAPSED] (state, collapsed) {
      state.sideBarCollapsed = collapsed
    }
  }
}

export default ui
